Subject: Re: XEmacs on cygwin wierdness
From: Andy Piper <[email-masked]>
To: Charles Wilson <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 14 Nov 2000 10:46:17 +0000

BTW which gdb are you using? gdb 5 barfs on the old exec format created by 
xemacs because it doesn't have a .bss (I think this is really a bug in 
gdb). I fixed this in the cvs version of xemacs by giving it a small .bss. 
You may want to use this to check that gdb isn't telling you fibs.

andy

At 08:32 PM 11/13/00 -0500, Charles Wilson wrote:
>Christopher Faylor wrote:
> >
> > On Mon, Nov 13, 2000 at 01:55:00AM -0500, Charles Wilson wrote:
> > >Christopher Faylor wrote:
> > >> >I got a popup saying "Program received signal SIGSEGV, Segmentation 
> fault"
> > >> >Stack window shows "_size_of_stack_reserve__"
> > >>
>[snip]
> > >
> > >That's pretty much it: _size_of_stack_reserve__ is the only thing in the
> > >stack window.  As best I can figure, my xemacs whines before it really
> > >gets started.  The address associated with it is: 0x6106fb17.  stackdump
> > >generated after "c"ontinuing past the SIGSERV:
> >
> > All of the addresses below are in cygwin.  If you build a debugging
> > version of the DLL it might point to the problem when you run gdb.
> > Maybe it's in cygwin.
> >
> > cgf
> >
>
>Okay, here's the results from XEmacs-21.2.36 (tarball, not from CVS)
>built under a latest-CVS-cygwin-debuggable kernel.  I apologize for not
>single-stepping this and investigating more thoroughly, but I've got a
>bunch of papers to grade tonight; I won't be able to return to this
>until tomorrow night at the earliest, but I figured I post my very
>preliminary experience
>
>--Chuck
>
>
>At the time of the crash, the stack contains:
>
>cygwin_crt0
>dll_crt0(per_process *)
>_dll_crt0
>dll_crt0_1(void)
>pinfo_init(char **, int)
>environ_init(char **, int)
>posify(char **, char const *)
>getwinenv(char const *, char const *)
>getenv
>my_findenv(char const *, int *)
>strncmp
>
>SIGSERV occurs at line 119 of strncmp.c ( newlib/libc/string/ ?)
>
>local variables window contains:
>   s1 (char *) 0x12021604    <Address 0x12021604 out of bounds>
>   s2 (char *) 0x61007432   "TEMP="
>   n                        3
>   s1 (char *) 0x12021604    <Address 0x12021604 out of bounds>
>   s2 (char *) 0x61007432   "TEMP="
>   n                        3
>   a1  (a structure)        (long unsigned int *) 0x61007436
>   a2  (a structure)        (long unsigned int *) 0x4
>
>stackdump is:
>
>Exception: STATUS_ACCESS_VIOLATION at eip=6106FBFB
>eax=00000004 ebx=61007436 ecx=00000003 edx=12021604 esi=61007432
>edi=00000004
>ebp=0288F8C8 esp=0288FD64
>program=D:\cygwin\usr\local\bin\xemacs-21.2-b36.exe
>cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
>Stack trace:
>Frame     Function  Args
>0288F8C8  6106FBFB  (00000000, 00000000, 00000000, 00000000)
>0288FD70  6106FBFB  (12021604, 61007432, 00000004, 610078F1)
>0288FDA0  61007908  (61007432, 0288FDCC, 0288FDD0, 61005FEF)
>0288FDD0  6100795A  (61007432, 0A016EC0, 0288FE10, 6100770C)
>0288FE10  61007726  (0A016EC0, 00000000, 0288FE50, 61023F1F)
>0288FE50  6100781C  (0A013070, 0A016EC5, 00000005, 61030CF4)
>0288FEA0  610087B3  (00000000, 00000064, 6100D73D, 610032F0)
>0288FEC0  61030F3B  (00000000, 00000000, 0288FF10, 610032F8)
>0288FF10  61003356  (00000000, 025BA960, 00000246, 8052A98F)
>0288FF40  610038C5  (0043CE48, 025BA960, 81B2EAE0, 80499AD6)
>0288FF60  61003904  (00000000, 00000000, 00780018, 00000002)
>0288FF90  0057B143  (0043CE48, 00000000, 80100000, BEA6CD00)
>0288FFC0  0040103D  (025BA960, 00000045, 7FFDF000, 025C0000)
>0288FFF0  77E992A6  (00401000, 00000000, 000000C8, 00000100)
>End of stack trace

--------------------------------------------------------------
Dr Andy Piper
Principal Consultant, BEA Systems Ltd

--
Want to unsubscribe from this list?
Send a message to [email-masked]